# AIBridgeList_Length Class Reference
[Classes that create a list of items.]

Create a list of bridges that can be built on a specific length. More...

`#include <ai_bridgelist.hpp>`

Inheritance diagram for AIBridgeList_Length:

## Public Member Functions
| AIBridgeList_Length (uint length)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Create a list of bridges that can be built on a specific length.

Definition at line 32 of file ai_bridgelist.hpp.

## Constructor & Destructor Documentation

AIBridgeList_Length::AIBridgeList_Length | ( | uint | length | ) |

Parameters:

  | length | The length of the bridge you want to build.

Definition at line 24 of file ai_bridgelist.cpp.

References AIList::AddItem(), AIBridge::GetMaxLength(), AIBridge::GetMinLength(), and AIBridge::IsValidBridge().

## Member Function Documentation

static const char* AIBridgeList_Length::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIList.

Definition at line 35 of file ai_bridgelist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_bridgelist.hpp
- src/ai/api/ai_bridgelist.cpp